> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Modify bank account for an EOR employee

PATCH https://api.letsdeel.com/rest/eor/workers/banks/{bank_id}
Content-Type: application/json

Modify bank account for an EOR employee by providing only those properties whose values you would like to adjust.

 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/eor/modify-bank-account-for-an-eor-employee-v-2026-08-19

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `bank_id` (string, required) — Unique identifier for a bank in UUID format.

### Body (application/json)

This endpoint expects an object.

- `data` (map from string to string, required) — An object where each property name represents a key of bank account property and its value is the field's value to set.

## Response

### 201

Successful operation.

- `data` (EorWorkersBanksBankIdPatchResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Invalid request parameters.

- `any`

### 401 Unauthorized Error

Unauthorized.

- `any`

### 403 Forbidden Error

Forbidden.

- `any`

### 404 Not Found Error

Bank account not found.

- `any`

### 500 Internal Server Error

Internal server error.

- `any`

## Types

### EorWorkersBanksBankIdPatchResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — The unique identifier of the bank account.
- `status` (enum, optional) — Bank Account status
  - Allowed values: `NEW`, `PENDING`, `APPROVED`, `FAILED`
- `created_at` (string, optional) — Date and time when bank account was created
- `updated_at` (string, optional) — Date and time when bank account was last updated

## Examples

**Request**

```json
{
  "data": {
    "beneficiaryName": "John Doe"
  }
}
```

**Response**

```json
{
  "data": {
    "id": "dcc7b587-2246-4909-853e-12056e90c451",
    "status": "PENDING",
    "created_at": "2022-05-24T09:38:46.235Z",
    "updated_at": "2022-05-24T09:38:46.235Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451"

payload = { "data": { "beneficiaryName": "John Doe" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"beneficiaryName":"John Doe"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451"

	payload := strings.NewReader("{\n  \"data\": {\n    \"beneficiaryName\": \"John Doe\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"beneficiaryName\": \"John Doe\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"beneficiaryName\": \"John Doe\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451', [
  'body' => '{
  "data": {
    "beneficiaryName": "John Doe"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"beneficiaryName\": \"John Doe\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["beneficiaryName": "John Doe"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/eor/workers/banks/dcc7b587-2246-4909-853e-12056e90c451")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```